Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 94

Summary: script 'rc' glob is too general
Product: [Retired] Red Hat Linux Reporter: saint
Component: initscriptsAssignee: Bill Nottingham <notting>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: 5.0CC: rvokal, saint
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-05-04 14:52:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description saint 1998-11-16 17:18:25 UTC
If the convention is Snn and Knn as a prefix to script names
in the various run level folders, then shouldn't the glob
be more specific in the script /etc/rc.d/rc?

It could be:
    for i in /etc/rc.d/rc$runlevel.d/K[0-9][0-9]*; do
        ...
    done
and
    for i in /etc/rc.d/rc$runlevel.d/S[0-9][0-9]*; do
        ...
    done

It is:
    for i in /etc/rc.d/rc$runlevel.d/K*; do
        ...
    done
and
    for i in /etc/rc.d/rc$runlevel.d/S*; do
        ...
    done

Comment 1 Preston Brown 1998-11-17 15:49:59 UTC
changed priority, but he does have a point.  Seems reasonable.

Comment 2 Jeff Johnson 1998-11-22 16:09:59 UTC
The current implementation (using K* rather than K[0-9][0-9]*) is
identical to that implemented in SVR4 from which the entire
convention has been borrowed. Adding a more restrictive glob
solves no purpose that I can fathom (other than the obvious
non-problem).

Comment 3 Fedora Update System 2017-04-06 00:24:36 UTC
mote-0.6.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-47926d2699

Comment 4 Fedora Update System 2017-04-06 19:20:47 UTC
mote-0.6.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-47926d2699

Comment 5 Fedora Update System 2017-05-04 14:52:10 UTC
mote-0.6.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.